com.thinkaurelius.titan.graphdb.transaction

## Class RelationConstructor

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.transaction.RelationConstructor

-     public class RelationConstructor
      extends Object

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelationConstructor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InternalRelation` | `readRelation(InternalVertex vertex, Entry data, EdgeSerializer serializer, TypeInspector types, VertexFactory vertexFac)`
    `static InternalRelation` | `readRelation(InternalVertex vertex, Entry data, StandardTitanTx tx)`
    `static Iterable<TitanRelation>` | `readRelation(InternalVertex vertex, Iterable<Entry> data, StandardTitanTx tx)`
    `static RelationCache` | `readRelationCache(Entry data, StandardTitanTx tx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelationConstructor

          public RelationConstructor()

  - ### Method Detail

    - #### readRelationCache

          public static RelationCache readRelationCache(Entry data,
                                        StandardTitanTx tx)

    - #### readRelation

          public static Iterable<TitanRelation> readRelation(InternalVertex vertex,
                                             Iterable<Entry> data,
                                             StandardTitanTx tx)

    - #### readRelation

          public static InternalRelation readRelation(InternalVertex vertex,
                                      Entry data,
                                      StandardTitanTx tx)

    - #### readRelation

          public static InternalRelation readRelation(InternalVertex vertex,
                                      Entry data,
                                      EdgeSerializer serializer,
                                      TypeInspector types,
                                      VertexFactory vertexFac)

Copyright © 2012–2014. All rights reserved.